Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.server
Class JSMDateTimeLabelFormats

    java.lang.Object
      org.one2team.highcharts.server.JSMBaseObject
          org.one2team.highcharts.server.JSMDateTimeLabelFormats

All Implemented Interfaces:
  org.mozilla.javascript.Scriptable, DateTimeLabelFormats

    public class JSMDateTimeLabelFormats

extends JSMBaseObject
implements DateTimeLabelFormats

Nested Class Summary

Nested classes/interfaces inherited from interface org.one2team.highcharts.shared.DateTimeLabelFormats
`DateTimeLabelFormats.TimeUnit`

Field Summary

Fields inherited from class org.one2team.highcharts.server.JSMBaseObject
`innerHTML, userObject`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`JSMDateTimeLabelFormats()`

Method Summary
`java.lang.Object` | `get(java.lang.String name, org.mozilla.javascript.Scriptable start)`
`java.lang.String` | `getFormat(DateTimeLabelFormats.TimeUnit unit)`
`java.util.Map<DateTimeLabelFormats.TimeUnit,java.lang.String>` | `getFormats()`
`java.lang.Object[]` | `getIds()`
`boolean` | `has(java.lang.String name, org.mozilla.javascript.Scriptable start)`
`JSMDateTimeLabelFormats` | `set(DateTimeLabelFormats.TimeUnit unit, java.lang.String format)`

Methods inherited from class org.one2team.highcharts.server.JSMBaseObject
`delete, delete, get, getClassName, getDefaultValue, getInnerHTML, getParentScope, getPrototype, getUserObject, has, hasInstance, put, put, setInnerHTML, setParentScope, setPrototype, setUserObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSMDateTimeLabelFormats

    public JSMDateTimeLabelFormats()

Method Detail

### set

    public JSMDateTimeLabelFormats set(DateTimeLabelFormats.TimeUnit unit,
                                       java.lang.String format)

  Specified by:
    `set` in interface `DateTimeLabelFormats`

### getFormat

    public java.lang.String getFormat(DateTimeLabelFormats.TimeUnit unit)

  Specified by:
    `getFormat` in interface `DateTimeLabelFormats`

### getFormats

    public java.util.Map<DateTimeLabelFormats.TimeUnit,java.lang.String> getFormats()

### getIds

    public java.lang.Object[] getIds()

  Specified by:
    `getIds` in interface `org.mozilla.javascript.Scriptable`
  Overrides:
    `getIds` in class `JSMBaseObject`

### get

    public java.lang.Object get(java.lang.String name,
                                org.mozilla.javascript.Scriptable start)

  Specified by:
    `get` in interface `org.mozilla.javascript.Scriptable`
  Overrides:
    `get` in class `JSMBaseObject`

### has

    public boolean has(java.lang.String name,
                       org.mozilla.javascript.Scriptable start)

  Specified by:
    `has` in interface `org.mozilla.javascript.Scriptable`
  Overrides:
    `has` in class `JSMBaseObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD